{% extends 'stats/logbase.html' %}

{% block scripts %}
{% load static %}
<script src="{% static 'dygraph.min.js' %}"></script>
<link rel="stylesheet" href="{% static 'dygraph.css' %}" type="text/css">
{% endblock %}

{% block content %}
    <div style="margin-left:50px" id="top">
    {% if not ip %}
<!--        <p>Jump to <a href="#proj">'proj' requests</a>, <a href="#histo">'histo' requests</a></p>-->
    <h2>Request history</h2>
    <div id="graphdiv" style="width:80%"></div>
    <p><a style="cursor: pointer"  onclick="toggleCount()">toggle total visibility</a></p>
    {% endif %}
        <h2 id="proj">Last {{ pn }} requests / {{ ptotal }}
            {% if ip %} from {{ ip }} [<a href="{% url 'stats:metric' %}">X</a>]{% endif %}
        </h2>
        <p><a href="#top">Jump to top</a></p>
        {% if ip %}
        <p><a href="{% url 'stats:metric_by_ip' ip %}?n=100">100</a> -
        <a href="{% url 'stats:metric_by_ip' ip %}?n=200">200</a> -
        <a href="{% url 'stats:metric_by_ip' ip %}?n=500">500</a> -
        <a href="{% url 'stats:metric_by_ip' ip %}?n=1000">1000</a></p>
        {% else %}
        <p><a href="{% url 'stats:metric' %}?n=100">100</a> -
        <a href="{% url 'stats:metric' %}?n=200">200</a> -
        <a href="{% url 'stats:metric' %}?n=500">500</a> -
        <a href="{% url 'stats:metric' %}?n=1000">1000</a></p>
        {% endif %}
    <ul>
    {% for rm in pset %}
        <li>
            <a style="color:blue" href="{% url 'stats:metric_by_ip' rm.ip %}">{{rm.ip}}</a> (<a href="https://iplocation.com/?ip={{rm.ip}}">locate</a>) on <span style="color:red">{{rm.date}}</span>
            <span style="color:gray">({{rm.nav}})</span>
            <br><b><a href="{% url 'proj:index' %}?{{rm.url}}">[link]</a></b> {{rm.url_as_list}}
        </li>
    {% endfor %}
    </ul>
        {% comment %}
    <h2 id="histo">'Histo' last {{ hn }} requests / {{ htotal }}
        {% if ip %} from {{ ip }} [<a href="{% url 'stats:metric' %}">X</a>]{% endif %}</h2>

        <p><a href="#top">Jump to top</a></p>
         <ul>
    {% for rm in hset %}
        <li>
            <a style="color:blue" href="{% url 'stats:metric_by_ip' rm.ip %}">{{rm.ip}}</a> (<a href="https://iplocation.com/?ip={{rm.ip}}">locate</a>)</a> on <span style="color:red">{{rm.date}}</span>
            <span style="color:gray">({{rm.nav}})</span>
            {% if rm.station_id %}
            <br><b><a href="{% url 'histo:station' rm.station_id %}">[link]</a></b> station={{rm.station_id}}
            {% endif %}
        </li>
    {% endfor %}
    </ul>
    {% endcomment %}
    </div>



{% if not ip %}
<script type="text/javascript">
    graph = new Dygraph(document.getElementById('graphdiv'),
        "{% url 'stats:metric_csv' %}{% if nolog %}?nolog{% endif %}"
    );
    function toggleCount(){
        // proj_total
        graph.setVisibility(0, !graph.visibility()[0]);
        // histo_total
        graph.setVisibility(2, !graph.visibility()[2]);
    }
</script>
{% endif %}
{% endblock %}
